package keymon.lat.medicomed;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_ticketsdia_subs_0 {


public static RemoteObject  _activity_keypress(RemoteObject __ref,RemoteObject _key) throws Exception{
try {
		Debug.PushSubsStack("Activity_KeyPress (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,110);
if (RapidSub.canDelegate("activity_keypress")) { return __ref.runUserSub(false, "c_ticketsdia","activity_keypress", __ref, _key);}
Debug.locals.put("key", _key);
 BA.debugLineNum = 110;BA.debugLine="Sub Activity_KeyPress (key As Int) As Boolean";
Debug.ShouldStop(8192);
 BA.debugLineNum = 112;BA.debugLine="If key=KeyCodes.KEYCODE_BACK Then";
Debug.ShouldStop(32768);
if (RemoteObject.solveBoolean("=",_key,BA.numberCast(double.class, c_ticketsdia.__c.getField(false,"KeyCodes").getField(true,"KEYCODE_BACK")))) { 
 BA.debugLineNum = 114;BA.debugLine="B4XPages.ShowPage(\"principal\")";
Debug.ShouldStop(131072);
c_ticketsdia._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("principal")));
 };
 BA.debugLineNum = 118;BA.debugLine="Return False";
Debug.ShouldStop(2097152);
if (true) return c_ticketsdia.__c.getField(true,"False");
 BA.debugLineNum = 119;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_noventa_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_noventa_Click (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,139);
if (RapidSub.canDelegate("b_noventa_click")) { return __ref.runUserSub(false, "c_ticketsdia","b_noventa_click", __ref);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 139;BA.debugLine="Sub b_noventa_Click";
Debug.ShouldStop(1024);
 BA.debugLineNum = 140;BA.debugLine="If nombre_boton = \"NOVENTA\" Then";
Debug.ShouldStop(2048);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_nombre_boton" /*RemoteObject*/ ),BA.ObjectToString("NOVENTA"))) { 
 BA.debugLineNum = 141;BA.debugLine="nombre_boton = \"VENTA\"";
Debug.ShouldStop(4096);
__ref.setField ("_nombre_boton" /*RemoteObject*/ ,BA.ObjectToString("VENTA"));
 BA.debugLineNum = 142;BA.debugLine="b_noventa.Text =\"VENTA\"";
Debug.ShouldStop(8192);
__ref.getField(false,"_b_noventa" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("VENTA"));
 BA.debugLineNum = 143;BA.debugLine="c = B4XPages.MainPage.skmt.ExecQuery(\"select * f";
Debug.ShouldStop(16384);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select * from venta_no_venta where eventov = 'SinVenta'"))));
 BA.debugLineNum = 144;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(32768);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 145;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 146;BA.debugLine="For i = 0 To c.RowCount - 1";
Debug.ShouldStop(131072);
{
final int step7 = 1;
final int limit7 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step7 > 0 && _i <= limit7) || (step7 < 0 && _i >= limit7) ;_i = ((int)(0 + _i + step7))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 147;BA.debugLine="c.Position = i";
Debug.ShouldStop(262144);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 148;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(524288);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 149;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(1048576);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 150;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(2097152);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 151;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(4194304);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 152;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(8388608);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 153;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(16777216);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 154;BA.debugLine="label2.TextSize = 15";
Debug.ShouldStop(33554432);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 15));
 BA.debugLineNum = 155;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(67108864);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 156;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(134217728);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 157;BA.debugLine="label2.Width = ListView1.Width * 0.99";
Debug.ShouldStop(268435456);
_label2.runMethod(true,"setWidth",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(0.99)}, "*",0, 0)));
 BA.debugLineNum = 158;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 80dip";
Debug.ShouldStop(536870912);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 80))));
 BA.debugLineNum = 159;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"clientev\"),";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("clientev"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("montoVentav")))))));
 BA.debugLineNum = 160;BA.debugLine="Log(c.GetString(\"clientev\") & \"SubTotal $\" & c";
Debug.ShouldStop(-2147483648);
c_ticketsdia.__c.runVoidMethod ("LogImpl","315794197",RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("clientev"))),RemoteObject.createImmutable("SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("montoVentav")))),0);
 }
}Debug.locals.put("i", _i);
;
 };
 }else {
 BA.debugLineNum = 164;BA.debugLine="nombre_boton = \"NOVENTA\"";
Debug.ShouldStop(8);
__ref.setField ("_nombre_boton" /*RemoteObject*/ ,BA.ObjectToString("NOVENTA"));
 BA.debugLineNum = 165;BA.debugLine="b_noventa.Text =\"NO VENTA\"";
Debug.ShouldStop(16);
__ref.getField(false,"_b_noventa" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("NO VENTA"));
 BA.debugLineNum = 166;BA.debugLine="c = B4XPages.MainPage.skmt.ExecQuery(\"select * f";
Debug.ShouldStop(32);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select * from venta_no_venta where eventov <> 'SinVenta'"))));
 BA.debugLineNum = 167;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(64);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 168;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 169;BA.debugLine="For i = 0 To c.RowCount - 1";
Debug.ShouldStop(256);
{
final int step30 = 1;
final int limit30 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step30 > 0 && _i <= limit30) || (step30 < 0 && _i >= limit30) ;_i = ((int)(0 + _i + step30))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 170;BA.debugLine="c.Position = i";
Debug.ShouldStop(512);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 171;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(1024);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 172;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(2048);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 173;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(4096);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 174;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(8192);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 175;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(16384);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 176;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(32768);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 177;BA.debugLine="label2.TextSize = 15";
Debug.ShouldStop(65536);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 15));
 BA.debugLineNum = 178;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(131072);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 179;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(262144);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 180;BA.debugLine="label2.Width = ListView1.Width * 0.99";
Debug.ShouldStop(524288);
_label2.runMethod(true,"setWidth",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(0.99)}, "*",0, 0)));
 BA.debugLineNum = 181;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 80dip";
Debug.ShouldStop(1048576);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 80))));
 BA.debugLineNum = 182;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"clientev\"),";
Debug.ShouldStop(2097152);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("clientev"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("montoVentav")))))));
 BA.debugLineNum = 183;BA.debugLine="Log(c.GetString(\"clientev\") & \"SubTotal $\" & c";
Debug.ShouldStop(4194304);
c_ticketsdia.__c.runVoidMethod ("LogImpl","315794220",RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("clientev"))),RemoteObject.createImmutable("SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("montoVentav")))),0);
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 186;BA.debugLine="c.Close";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 };
 BA.debugLineNum = 188;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,65);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_ticketsdia","b4xpage_appear", __ref);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 65;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(1);
 BA.debugLineNum = 66;BA.debugLine="nombre_boton = \"NOVENTA\"";
Debug.ShouldStop(2);
__ref.setField ("_nombre_boton" /*RemoteObject*/ ,BA.ObjectToString("NOVENTA"));
 BA.debugLineNum = 84;BA.debugLine="c = B4XPages.MainPage.skmt.ExecQuery(\"select * fr";
Debug.ShouldStop(524288);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select * from venta_no_venta where eventov <> 'SinVenta'"))));
 BA.debugLineNum = 85;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(1048576);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 86;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 87;BA.debugLine="For i = 0 To c.RowCount - 1";
Debug.ShouldStop(4194304);
{
final int step5 = 1;
final int limit5 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step5 > 0 && _i <= limit5) || (step5 < 0 && _i >= limit5) ;_i = ((int)(0 + _i + step5))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 88;BA.debugLine="c.Position = i";
Debug.ShouldStop(8388608);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 89;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(16777216);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 90;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(33554432);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 91;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(67108864);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 92;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(134217728);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 93;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(268435456);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 94;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(536870912);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 95;BA.debugLine="label2.TextSize = 15";
Debug.ShouldStop(1073741824);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 15));
 BA.debugLineNum = 96;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(-2147483648);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 97;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(1);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 98;BA.debugLine="label2.Width = ListView1.Width * 0.99";
Debug.ShouldStop(2);
_label2.runMethod(true,"setWidth",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(0.99)}, "*",0, 0)));
 BA.debugLineNum = 99;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 80dip";
Debug.ShouldStop(4);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 80))));
 BA.debugLineNum = 100;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"clientev\"),";
Debug.ShouldStop(8);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("clientev"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("montoVentav")))))));
 BA.debugLineNum = 101;BA.debugLine="Log(c.GetString(\"clientev\") & \"SubTotal $\" & c.";
Debug.ShouldStop(16);
c_ticketsdia.__c.runVoidMethod ("LogImpl","315532068",RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("clientev"))),RemoteObject.createImmutable("SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("montoVentav")))),0);
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 104;BA.debugLine="c.Close";
Debug.ShouldStop(128);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 105;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,51);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_ticketsdia","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 51;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(262144);
 BA.debugLineNum = 52;BA.debugLine="Root = Root1";
Debug.ShouldStop(524288);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 54;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(2097152);
__ref.setField ("_ruta" /*RemoteObject*/ ,c_ticketsdia.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 55;BA.debugLine="Root.LoadLayout(\"ticketsdia\")";
Debug.ShouldStop(4194304);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("ticketsdia")),__ref.getField(false, "ba"));
 BA.debugLineNum = 56;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(8388608);
if (RemoteObject.solveBoolean("=",c_ticketsdia.__c.getField(false,"File").runMethod(true,"Exists",(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db"))),c_ticketsdia.__c.getField(true,"False"))) { 
 BA.debugLineNum = 57;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(16777216);
c_ticketsdia.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(c_ticketsdia.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db")));
 };
 BA.debugLineNum = 60;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_ticketsdia._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_ticketsdia._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_ticketsdia._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_ticketsdia._xui);
 //BA.debugLineNum = 4;BA.debugLine="Private p_ticketsdia As Panel";
c_ticketsdia._p_ticketsdia = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_ticketsdia",c_ticketsdia._p_ticketsdia);
 //BA.debugLineNum = 6;BA.debugLine="Dim c As Cursor";
c_ticketsdia._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_ticketsdia._c);
 //BA.debugLineNum = 7;BA.debugLine="Dim S As Cursor";
c_ticketsdia._s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_s",c_ticketsdia._s);
 //BA.debugLineNum = 8;BA.debugLine="Dim ruta As String";
c_ticketsdia._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_ticketsdia._ruta);
 //BA.debugLineNum = 9;BA.debugLine="Dim ListView1 As ListView";
c_ticketsdia._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_ticketsdia._listview1);
 //BA.debugLineNum = 10;BA.debugLine="Dim b_noventa As Button";
c_ticketsdia._b_noventa = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_noventa",c_ticketsdia._b_noventa);
 //BA.debugLineNum = 11;BA.debugLine="Dim nombre_boton As String";
c_ticketsdia._nombre_boton = RemoteObject.createImmutable("");__ref.setField("_nombre_boton",c_ticketsdia._nombre_boton);
 //BA.debugLineNum = 12;BA.debugLine="Dim STIME As String";
c_ticketsdia._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_ticketsdia._stime);
 //BA.debugLineNum = 13;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,16);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_ticketsdia","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 16;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(32768);
 BA.debugLineNum = 17;BA.debugLine="Return Me";
Debug.ShouldStop(65536);
if (true) return __ref;
 BA.debugLineNum = 18;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview1_itemlongclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView1_ItemLongClick (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,120);
if (RapidSub.canDelegate("listview1_itemlongclick")) { return __ref.runUserSub(false, "c_ticketsdia","listview1_itemlongclick", __ref, _position, _value);}
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 120;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 121;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete from";
Debug.ShouldStop(16777216);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 122;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INTO";
Debug.ShouldStop(33554432);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_value})))));
 BA.debugLineNum = 123;BA.debugLine="DateTime.TimeFormat = \"HHmmss\"";
Debug.ShouldStop(67108864);
c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HHmmss"));
 BA.debugLineNum = 124;BA.debugLine="STIME=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(134217728);
__ref.setField ("_stime" /*RemoteObject*/ ,c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 125;BA.debugLine="s=B4XPages.MainPage.skmt.ExecQuery(\"SELECT COUNT(";
Debug.ShouldStop(268435456);
__ref.getField(false,"_s" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT COUNT(*) AS CUANTOS FROM HIST_STAY_STORE WHERE HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)"))));
 BA.debugLineNum = 126;BA.debugLine="s.Position = 0";
Debug.ShouldStop(536870912);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 127;BA.debugLine="If s.GetString(\"CUANTOS\") = 1 Then";
Debug.ShouldStop(1073741824);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUANTOS"))),BA.NumberToString(1))) { 
 BA.debugLineNum = 128;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIS";
Debug.ShouldStop(-2147483648);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_IN = ?  where HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 }else {
 BA.debugLineNum = 130;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INT";
Debug.ShouldStop(2);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO HIST_STAY_STORE(HSS_CODIGO,  HSS_IN , HSS_OUT , HSS_TOT) VALUES (?,0,0,0)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_value})))));
 BA.debugLineNum = 131;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIS";
Debug.ShouldStop(4);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_IN = ?  where HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 };
 BA.debugLineNum = 133;BA.debugLine="DateTime.TimeFormat = \"HH:mm:ss\"";
Debug.ShouldStop(16);
c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HH:mm:ss"));
 BA.debugLineNum = 134;BA.debugLine="Subs.guardaClienteHoraInicio(Value)";
Debug.ShouldStop(32);
c_ticketsdia._subs.runVoidMethod ("_guardaclientehorainicio" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(BA.ObjectToString(_value)));
 BA.debugLineNum = 135;BA.debugLine="B4XPages.MainPage.cliente.venimosDeTicketsDia = T";
Debug.ShouldStop(64);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_cliente" /*RemoteObject*/ ).setField ("_venimosdeticketsdia" /*RemoteObject*/ ,c_ticketsdia.__c.getField(true,"True"));
 BA.debugLineNum = 136;BA.debugLine="B4XPages.ShowPage(\"cliente\")";
Debug.ShouldStop(128);
c_ticketsdia._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("cliente")));
 BA.debugLineNum = 137;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _p_ticketsdia_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("p_ticketsdia_Click (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,190);
if (RapidSub.canDelegate("p_ticketsdia_click")) { return __ref.runUserSub(false, "c_ticketsdia","p_ticketsdia_click", __ref);}
 BA.debugLineNum = 190;BA.debugLine="Private Sub p_ticketsdia_Click";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 192;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _regresar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Regresar_Click (c_ticketsdia) ","c_ticketsdia",10,__ref.getField(false, "ba"),__ref,107);
if (RapidSub.canDelegate("regresar_click")) { return __ref.runUserSub(false, "c_ticketsdia","regresar_click", __ref);}
 BA.debugLineNum = 107;BA.debugLine="Sub Regresar_Click";
Debug.ShouldStop(1024);
 BA.debugLineNum = 108;BA.debugLine="B4XPages.ShowPage(\"cliente\")";
Debug.ShouldStop(2048);
c_ticketsdia._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("cliente")));
 BA.debugLineNum = 109;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}